---
title: How to Change a Git Commit Message
description:
date: 2024-03-07
last_update: 2024-03-21T11:16:14-06:00
id: 20240307172603
references:
  books:
  - book:
    - title:
    - author:
    - edition:
    - publisher:
    - year:
    - isbn:
    - bibliography:
  links:
  - link:
    - title:
    - date:
    - author:
    - url:
    - archive_url:
taxonomies:
  categories:
    - development
  tags:
    - git
license: CC-BY-4.0
---
## Not pushed commit

To change the message of the most recent commit that has not been pushed to the remote repository, commit it again using the `--amend` flag.

- Run the following command to amend (change) the message of the latest commit:

```sh
git commit --amend -m "New commit message."
```

What the command does is overwriting the most recent commit with the new one.

The `-m` option allows you to write the new message on the command line without opening an editor session.

## Pushed commit

The amended (changed) commit is a new entity with a different SHA-1. The previous commit will no longer exist in the current branch.

Generally, you should avoid amending a commit that is already pushed as it may cause issues to people who based their work on this commit. It is a good idea to consult your fellow developers before changing a pushed commit.

If you changed the message of the most recently pushed commit, you would have to force push it.

- Run the following command to amend (change) the message of the latest commit:

```sh
git commit --amend -m "New commit message."
```

- Force push to update the history of the remote repository:

```sh
git push --force <remoteName> <branchName>
```
