---
title: Changing an Older or Multiple Commits Message
description:
date: 2024-03-07
id: 20240307173743
taxonomies:
  categories:
    - development
  tags:
    - git
license: CC0-1.0
---
If you need to change the message of an older or multiple commits, you can use an interactive `git rebase` to change one or more older commits.

The `rebase` command rewrites the commit history, and it is strongly discouraged to rebase commits that are already pushed to the remote Git repository.

- Type `git rebase -i HEAD~N`, where `N` is the number of commits to perform a rebase on. For example, if you want to change the 4th and the 5th latest commits, you would type:

```sh
git rebase -i HEAD~5
```

The command will display the latest `X` commits in your default text editor :

```sh
pick 43f8707f9 fix: update dependency json5 to ^2.1.1
pick cea1fb88a fix: update dependency verdaccio to ^4.3.3
pick aa540c364 fix: update dependency webpack-dev-server to ^3.8.2
pick c5e078656 chore: update dependency flow-bin to ^0.109.0
pick 11ce0ab34 fix: Fix spelling.

# Rebase 7e59e8ead..11ce0ab34 onto 7e59e8ead (5 commands)
```

Move to the lines of the commit message you want to change and replace `pick` with `reword`:

```sh
reword 43f8707f9 fix: update dependency json5 to ^2.1.1
reword cea1fb88a fix: update dependency verdaccio to ^4.3.3
pick aa540c364 fix: update dependency webpack-dev-server to ^3.8.2
pick c5e078656 chore: update dependency flow-bin to ^0.109.0
pick 11ce0ab34 fix: Fix spelling.

# Rebase 7e59e8ead..11ce0ab34 onto 7e59e8ead (5 commands)
```

- Save the changes and close the editor.
- For each chosen commit, a new text editor window will open. Change the commit message, save the file, and close the editor.