---
title: 20240308070930
description:
date: 2024-03-08
id: 20240308070930
taxonomies:
  categories:
    -
  tags:
    - bash
license: CC0-1.0
---
```sh
find . -type d -exec chmod 0755 {} \; && find . -type f -exec chmod 0644 {} \;
```

I  need this so often that I created a function in my `~/.bashrc` file:

```sh
chmodf() {
        find $2 -type f -exec chmod $1 {} \;
}
chmodd() {
        find $2 -type d -exec chmod $1 {} \;
}
```

Now I can use these shortcuts:

```sh
chmodd 0775 .
chmodf 0664 .
```

A good alternative is this:

```sh
find . -type f | xargs -I{} chmod -v 644 {}
find . -type d | xargs -I{} chmod -v 755 {}
```

Note: `xargs` is generally superior to `exec`. With `exec`, the command is invoked for EACH input but with `xargs` the command is usually just run ONCE. So if your find query gives thousands of results, `xargs` will be several folds faster!

How to handle found files that has spaces? I am getting errors, the name of the file is splitted by spaces and it tries to run chmod for each splitted part.

try using adding `-print0` option to find and `xargs -0`