---
title: Consultas de búsqueda en GitHub
description: "Consejos de búsqueda en GitHub: Cómo buscar problemas, repositorios y más de manera efectiva en GitHub."
date: 2024-03-24
last_update:
id: 20240324105059
references:
  books:
  - book:
    - title:
    - author:
    - edition:
    - publisher:
    - year:
    - isbn:
    - bibliography:
  links:
  - link:
    - title: "Consejos de búsqueda en GitHub: Cómo buscar problemas, repositorios y más de manera efectiva en GitHub"
    - date: 2024-03-19
    - author: Andrés Torres
    - license: Desconocida
    - url: https://www.freecodecamp.org/espanol/news/consejos-de-busqueda-en-github-como-buscar-problemas-repositorios-y-mas-de-manera-efectiva-en-github/
    - archive_url: https://web.archive.org/web/20240324172312/https://www.freecodecamp.org/espanol/news/consejos-de-busqueda-en-github-como-buscar-problemas-repositorios-y-mas-de-manera-efectiva-en-github/
    - source_link:
      - title: GitHub Search Tips – How to Search Issues, Repos, and More Effectively on GitHub
      - date: 2022-10-17
      - author: Hillary Nyakundi
      - license: Desconocida
      - url: https://www.freecodecamp.org/news/github-search-tips/
      - archive_url: https://web.archive.org/web/20240325110717/https://www.freecodecamp.org/news/github-search-tips/
taxonomies:
  categories:
    - development
  tags: github
    -
license: CC-BY-4.0
---
La mayoría de los mantenedores tienden a etiquetar sus proyectos con problemas (*issues*), lo que facilita que los colaboradores encuentren proyectos adecuados. A continuación se muestran algunos de los trucos que pueden ayudarte cuando estás usando GitHub.

## Cómo buscar problemas y solicitudes de extracción en GitHub

Una de las formas más comunes de encontrar proyectos para contribuir es buscando a través de problemas y solicitudes de extracción (*pull requests*) relacionadas. Aquí hay algunos trucos que puedes usar para encontrar fácilmente respuestas confiables:

1. **is:issue is:open label:beginner** — Esta consulta particular mostrará *todos los proyectos con problemas abiertos etiquetados como principiante* («beginner»).
2. **is:issue is:open label:easy** — Aquí mostrará *todos los problemas abiertos etiquetados como fáciles* («easy»).
3. **is:issue is:open label:first-timers-only** — De esta forma se listan *todos los problemas abiertos que dan la bienvenida a contribuciones de recién llegados*.
4. **is:issue is:open label:good-first-bug** — Esto *enumera los proyectos con problemas abiertos («open issues») etiquetados como "buenos primeros errores"* («good-first-bug»), para atraer a los colaboradores a trabajar en ellos.
5. **is:issue is:open label:"good first issue"** — Con esta consulta se te mostrarán *todos los problemas abiertos con la etiqueta buen primer problema* («good first issue»), lo que significa que es un buen lugar para que los principiantes comiencen.
6. **is:issue is:open label:starter** — Lista *todos los problemas abiertos de GitHub etiquetados como iniciadores* («starters»).
7. **is:issue is:open label:up-for-grabs** — Enumera *problemas abiertos que están listos para ser trabajados si tienes las habilidades necesarias*.
8. **no:project type:issue is:open** — Mostrará *todos los problemas abiertos que no están asignados a un proyecto específico*.
9. **no:milestone type:issue is:open** — Muchas veces, los proyectos están organizados con hitos. Pero si quieres encontrar *problemas que no estén rastreados*, esta consulta de búsqueda los listará para ti.
10. **no:label type:issue is:open** — Señala *todos los problemas abiertos que no tienen etiquetas*.
11. **is:issue is:open no:assignee** — Enseña *todos los problemas abiertos que aún no han sido asignados a una persona*.

## Cómo encontrar por nombre, descripción/README

Al buscar por nombre y descripción del archivo *README*, hay que tener en cuenta que la frase de búsqueda debe comenzar con el calificador `in`. Esto hace posible buscar «dentro» de lo que estamos buscando.

- Usando `in:name`. Digamos que estás buscando recursos para aprender más sobre «Ciencia de Datos». En este caso, puedes usar el comando `Ciencia de Datos in:name`, que *listará los repositorios con «Ciencia de Datos» en el nombre del repositorio*.
